TikTok for Developers

Developer Docs

Last updated November 2, 2026

Revoke a User Access Token

Revokes a user access token and disconnects your app from the user's TikTok account. Call this endpoint when a user disconnects your app. After you revoke the token, your app no longer appears in the user's connected apps in the TikTok app

Endpoint

HTTP URL

https://open.tiktokapis.com/v2/oauth/revoke/

HTTP method

POST

Scopes

None

Content type

application/x-www-form-urlencoded

Request

Send all parameters as URL-encoded form data in the request body.

Headers

Field

Type

Description

Required

Content-Type

string

The media type of the request body. Must be application/x-www-form-urlencoded.

Yes

Request body

Field

Type

Description

Required

client_key

string

The client key from your app's App credentials section.

Yes

client_secret

string

The client secret from your app's App credentials section.

Yes

token

string

The user access token to revoke.

Yes

Request example

curl --location --request POST 'https://open.tiktokapis.com/v2/oauth/revoke/' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Cache-Control: no-cache' \
--data-urlencode 'client_key=CLIENT_KEY' \
--data-urlencode 'client_secret=CLIENT_SECRET' \
--data-urlencode 'token=ACCESS_TOKEN'

Response

A successful request returns an empty response body.

Response example

If the request is successful, the response will be empty.

{}

If the request is not successful, an error response body will be returned, like the following.

{
    "error": "invalid_request",
    "error_description": "The request parameters are malformed.",
    "log_id": "202206221854370101130062072500FFA2"
}
TikTok for Developers